| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface Class Reference

`#include <TelepathyQt/CallContentMediaDescriptionInterface>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Member Functions

- CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface (Tp::DBusProxy *proxy)
- CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface (const Tp::Client::CallContentMediaDescriptionInterface &mainInterface)
- CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface (const Tp::Client::CallContentMediaDescriptionInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyHeaderExtensions () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content.MediaDescription.Interface.RTPHeaderExtensions".

## Constructor & Destructor Documentation

Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface | ( | const Tp::Client::CallContentMediaDescriptionInterface & | mainInterface | ) | `[explicit]`

Creates a CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface | ( | const Tp::Client::CallContentMediaDescriptionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content.MediaDescription.Interface.RTPHeaderExtensions", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::requestPropertyHeaderExtensions | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `HeaderExtensions` of type `Tp::RTPHeaderExtensionsList`.

A list of remote header extensions which are supported.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.